Skip to content
extensions / Commerce extension
GET/__runtime/checkout/locations/resolve

Resolve Checkout Location

Resolves which states contain a given city for storefront checkout address selection.

GET

Authentication

Requirement
Not specified
Credential type
Not specified
Scopes
Not specified

Permissions

  • No authentication required; publicly accessible storefront location data.

Headers

Path Parameters

Query Parameters

NameRequiredTypeDetails
countryNostring
Description: Text value.
stateNostring
Description: Text value.
cityNostring
Description: Text value.

Request Body

Response Body

Example 200 response

json
{
  "states": []
}

Errors

400 bad_request404 extension_disabled

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified